[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'oldlinux' (#rtl)

# TSysinfo

Record with system information, used by the SysInfo call.

## Declaration

Source position: oldlinux.pp line 1281

`type TSysinfo = packed record`
`uptime: LongInt;` |  | Number of seconds since boot.
`loads: array [1..3] of LongInt;` |  | 1, 5 and 15 minute load averages.
`totalram: LongInt;` |  | total amount of main memory.
`freeram: LongInt;` |  | amount of free memory.
`sharedram: LongInt;` |  | amount of shared memory.
`bufferram: LongInt;` |  | amount of memory used by buffers.
`totalswap: LongInt;` |  | total amount of swapspace.
`freeswap: LongInt;` |  | amount of free swapspace.
`procs: Integer;` |  | number of current processes.
`s: string;` |  | ?
`end;`

Documentation generated on: Feb 26 2014